/* $Header: /home/nygren/courses/6.866/project/src/RCS/util.h,v 1.3 1996/03/02 17:11:25 nygren Exp $ */
/*
 * FILE:    util.h
 * AUTHOR:  Erik Nygren.
 * PURPOSE: Header for utility functions
 *          Written for 6.866 term project, Fall 1995.
 */

#ifndef INC_UTIL_H
#define INC_UTIL_H

typedef unsigned char uchar;
typedef unsigned long ulong32;

#define MIN(x,y) (((x)<(y))?(x):(y))

#ifdef GCC
#define INLINE __inline__
#else
#define INLINE
#endif

extern void *
xcalloc(char* loc, size_t nmemb, size_t size);

void *
xmalloc(char* loc, size_t size);

extern void
xfree(void *tofree);

extern char *
string_dup(char *s);

#endif /* INC_UTIL_H */
