#include <stdio.h>               
#include <stdlib.h>               
#include <X11/Xlib.h>            /* Xlib include files */
#include <X11/Xutil.h>           /* Must have these included */
#include <X11/Xatom.h>
#include <X11/cursorfont.h>
#include <X11/Intrinsic.h>
#include <Xm/Xm.h>
#include <Xm/RowColumn.h>
#include <Xm/MainW.h>
#include <Xm/PushB.h>

static Arg args[10];

static char *mystring = "click me";

void main(int argc, char *argv[])
{
  Widget main_widget, quit_button;

  main_widget = XtInitialize(argv[0], "Demo", NULL, 0, &argc, argv);
  printf("widget %d win %d\n", main_widget, XtWindow(main_widget));
  XtSetArg(args[0], XmNlabelString, 
	   XmStringCreateLtoR(mystring, XmSTRING_DEFAULT_CHARSET));
  quit_button = XtCreateManagedWidget("Exit", xmPushButtonWidgetClass,
				      main_widget, (ArgList)args, 1);

  XtRealizeWidget(main_widget);
  printf("widget %d win %d\n", main_widget, XtWindow(main_widget));
  XtMainLoop();
}
